%global _description \
GeoLite2 databases are free IP geolocation databases comparable to, but less\
accurate than, MaxMind's GeoIP2 databases.\
\
This product includes GeoLite2 data created by MaxMind,\
available from http://www.maxmind.com.

Name:           geolite2
Version:        20191217
Release:        %mkrel 1
Summary:        Free IP geolocation databases
License:        CC-BY-SA
Group:          Sciences/Geosciences
URL:            https://dev.maxmind.com/geoip/geoip2/geolite2/
Source0:        https://geolite.maxmind.com/download/geoip/database/GeoLite2-City_%{version}.tar.gz
Source1:        https://geolite.maxmind.com/download/geoip/database/GeoLite2-Country_%{version}.tar.gz
Source2:	https://geolite.maxmind.com/download/geoip/database/GeoLite2-ASN_%{version}.tar.gz
BuildArch:      noarch


%description %{_description}


%package city
Summary:        Free IP geolocation city database
Group:          Sciences/Geosciences
Recommends:     geoipupdate

%description city %{_description}


%package country
Summary:        Free IP geolocation country database
Group:          Sciences/Geosciences
Recommends:     geoipupdate

%description country %{_description}


%package asn
Summary:	Free IP autonomous system number database
Group:          Sciences/Geosciences
Recommends:     geoipupdate

%description asn %{_description}


%prep
%setup -q -T -c -a 0 -a 1 -a 2


%install
for db in GeoLite2-City GeoLite2-Country GeoLite2-ASN; do
    install -D -p -m 0644 ${db}_%{version}/$db.mmdb %{buildroot}%{_datadir}/GeoIP/$db.mmdb
done


%files city
%license GeoLite2-City_%{version}/COPYRIGHT.txt GeoLite2-City_%{version}/LICENSE.txt
%dir %{_datadir}/GeoIP
%verify(not md5 size mtime) %{_datadir}/GeoIP/GeoLite2-City.mmdb


%files country
%license GeoLite2-Country_%{version}/COPYRIGHT.txt GeoLite2-Country_%{version}/LICENSE.txt
%dir %{_datadir}/GeoIP
%verify(not md5 size mtime) %{_datadir}/GeoIP/GeoLite2-Country.mmdb


%files asn
%license GeoLite2-ASN_%{version}/COPYRIGHT.txt GeoLite2-ASN_%{version}/LICENSE.txt
%dir %{_datadir}/GeoIP
%verify(not md5 size mtime) %{_datadir}/GeoIP/GeoLite2-ASN.mmdb



%changelog
* Fri Jul 31 2020 wally <wally> 20191217-1.mga8
+ Revision: 1609970
- update to 20191217 (the last version released under CC-BY-SA)

* Tue Feb 18 2020 umeabot <umeabot> 20191112-2.mga8
+ Revision: 1538284
- Mageia 8 Mass Rebuild

* Sun Nov 17 2019 wally <wally> 20191112-1.mga8
+ Revision: 1461538
- new version 20191112

* Fri Aug 30 2019 wally <wally> 20190827-1.mga8
+ Revision: 1435456
- new version 20190827

* Mon Jul 01 2019 wally <wally> 20190618-1.mga8
+ Revision: 1417276
- new version 20190618

* Mon Apr 22 2019 wally <wally> 20190416-2.mga7
+ Revision: 1394688
- fix conflicting license files

* Mon Apr 22 2019 wally <wally> 20190416-1.mga7
+ Revision: 1394682
- new version 20190416
- add asn subpkg

* Tue Oct 02 2018 wally <wally> 20180925-2.mga7
+ Revision: 1315010
- recommend geoipupdate for updates via crontab

* Tue Oct 02 2018 wally <wally> 20180925-1.mga7
+ Revision: 1314943
- new version 20180925
- imported package geolite2


* Mon Aug 13 2018 Carl George <carl@george.computer> - 20180807-1
- Latest upstream

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 20180605-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Mon Jun 11 2018 Carl George <carl@george.computer> - 20180605-1
- Latest upstream

* Tue Apr 24 2018 Carl George <carl@george.computer> - 20180403-1
- Initial package
